import java.io.*;
import java.util.*;

public class Gen10 {

	public static void main(String[] args) {
		System.out.println((1 << 9) + 1);
		long a = (1 << 30);
		long b = (1 << 30);
		long l = a * b;
		for(long i = l - (1 << 8); i <= l + (1 << 8); ++i) {
			System.out.println(i + " 63");
		}
	}
} 